Bug 387698 - Download size mis-calculated (due to Plasma update?)
Summary: Download size mis-calculated (due to Plasma update?)
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.11.4
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-08 03:13 UTC by Matthew Trescott
Modified: 2019-04-02 12:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of problem; note different size calculations. (642.61 KB, image/png)
2017-12-08 03:13 UTC, Matthew Trescott
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Trescott 2017-12-08 03:13:20 UTC
Created attachment 109251 [details]
Screenshot of problem; note different size calculations.

In the attached screenshot, note the difference between pacman's download size calculation and Discover's. I think this is due to Discover adding the size of each plasmoid listed, while in reality this is just one package, plasma-workspace.
Comment 1 Aleix Pol 2017-12-11 14:50:52 UTC
Git commit e070b12624b487621e135d8799a32774af043abe by Aleix Pol.
Committed on 11/12/2017 at 14:50.
Pushed by apol into branch 'master'.

Have backends provide the update size

M  +1    -6    libdiscover/UpdateModel/UpdateModel.cpp
M  +15   -0    libdiscover/backends/PackageKitBackend/PackageKitUpdater.cpp
M  +1    -0    libdiscover/backends/PackageKitBackend/PackageKitUpdater.h
M  +5    -0    libdiscover/resources/AbstractBackendUpdater.h
M  +9    -0    libdiscover/resources/ResourcesUpdatesModel.cpp
M  +1    -0    libdiscover/resources/ResourcesUpdatesModel.h
M  +9    -0    libdiscover/resources/StandardBackendUpdater.cpp
M  +1    -0    libdiscover/resources/StandardBackendUpdater.h

https://commits.kde.org/discover/e070b12624b487621e135d8799a32774af043abe
Comment 2 Dmitry Kazakov 2019-04-02 12:27:33 UTC
Git commit 64481503fa4c0ae43697bd84044fe69a38c430a7 by Dmitry Kazakov.
Committed on 02/04/2019 at 12:27.
Pushed by dkazakov into branch 'master'.

Fix copying of the correct cache when cloning a layer

The paint device's cache should be connected to the new device,
during the paint operation, not to the old one.

M  +11   -11   libs/image/kis_paint_device.cc
M  +2    -2    libs/image/kis_paint_device_data.h

https://commits.kde.org/krita/64481503fa4c0ae43697bd84044fe69a38c430a7
Comment 3 Dmitry Kazakov 2019-04-02 12:28:17 UTC
oups, wrong bug id :)